package com.bytesw.bytebot.dto;

import com.bytesw.bytebot.model.airport.AgenteReserva;
import com.bytesw.bytebot.model.airport.Escala;
import com.bytesw.bytebot.model.airport.Pago;
import com.bytesw.bytebot.model.airport.Pasajero;
import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Getter
@Setter
@ToString
public class ItinerarioReservaDTO implements Serializable {

    @Expose
    private Integer id;

    @Expose
    private Date diaReservacion;

    @Expose
    private String estado;

    @Expose
    private Integer codigoPasajero;

    @Expose
    private Integer codigoAgente;

    @Expose
    private List<Escala> escalas;

    @Expose
    private List<Pago> pagos;


}
