package com.bytesw.bytebot.dto;


import com.bytesw.bytebot.model.airport.Aeropuerto;
import com.bytesw.bytebot.model.airport.Escala;
import com.google.gson.annotations.Expose;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Getter
@Setter
@ToString
public class VueloDTO implements Serializable {

    @Expose
    private Integer id;

    @Expose
    private double costo;

    @Expose
    private String codigoAerolinea;

    @Expose
    private String codigoTipoAeronave;

    @Expose
    private Date fechaSalida;

    @Expose
    private Date fechaLlegada;

    @Expose
    private Integer codigoAeropuertoOrigen;

    @Expose
    private Integer codigoAeropuertoDestino;

    @Expose
    private List<Escala> escalas;

    @Expose
    private String aeropuertoOrigen;

    @Expose
    private String aeropuertoDestino;

}
